package com.zanxiang.game.data.serve.controller;

import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.game.data.serve.pojo.dto.AdsAccountRechargeRankingListDTO;
import com.zanxiang.game.data.serve.pojo.vo.AdsAccountRechargeRankingVO;
import com.zanxiang.game.data.serve.pojo.vo.AdsAgentRechargeRankingVO;
import com.zanxiang.game.data.serve.service.IAdsAccountRechargeRankingService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(tags = {"账号充值排行榜"})
@RestController
@RequestMapping("/accountRechargeRanking")
public class AdsAccountRechargeRankingController {

    @Autowired
    private IAdsAccountRechargeRankingService adsAccountRechargeRankingService;

    @PreAuthorize(permissionKey = "gameData:accountRechargeRanking:list")
    @ApiOperation(value = "推广账号充值排行榜")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = AdsAgentRechargeRankingVO.class)})
    @PostMapping("/list")
    public ResultVO<Page<AdsAccountRechargeRankingVO>> list(@Validated @RequestBody AdsAccountRechargeRankingListDTO dto) {
        return ResultVO.ok(adsAccountRechargeRankingService.listOfPage(dto));
    }
}
